Name: apt
Version: 0.5.15cnc6
Release: XOS.1.XL.1
# https://moin.conectiva.com.br/AptRpm?action=AttachFile&do=get&target=apt-0.5.15cnc6.tar.bz2
Source0: apt-0.5.15cnc6.tar.bz2
Source1: apt.conf
Source2: apt-sources.list.xos
Patch0: apt-0.5.5cnc6-rpmpriorities.patch
Patch1: apt-0.5.5cnc6-virtual.patch
Patch2: apt-0.5.5cnc6-message.patch

URL: https://moin.conectiva.com.br/AptRpm
BuildPrereq: rpm-devel >= 4.0.4, docbook-utils
BuildRoot: %{_tmppath}/rpm-buildroot-%{name}-%{version}-%{release}
Prefix: %{_prefix}

Summary: APT is a management system for software packages
License: GPL
Group: System Environment/Base
Prereq: /sbin/ldconfig
Requires: rpm >= 4.0.4

%description
APT-RPM is a port of Debian's APT tools to a RPM based system.  APT
is an advanced package management system which allows you to easily
perform package installation, upgrading and removal.  Dependencies
are automatically handled, so if you try to install a package that
needs others to be installed, it will download all needed packages
and install them. 

This package contains the APT client software.

%package server

Summary: Programs for maintaining an APT repository
License: GPL
Group: System Environment/Base
Requires: apt = %{version}-%{release}, rpm >= 4.0.4

%description server
APT-RPM is a port of Debian's APT tools to a RPM based system.  APT
is an advanced package management system which allows you to easily
perform package installation, upgrading and removal.  Dependencies
are automatically handled, so if you try to install a package that
needs others to be installed, it will download all needed packages
and install them. 

The package contains programs to maintain an APT repository on a
server.

%package devel

Summary: Libraries and include files for developing APT applications
License: GPL
Group: Development/Libraries
Requires: apt = %{version}-%{release}

%description devel
APT-RPM is a port of Debian's APT tools to a RPM based system.  APT
is an advanced package management system which allows you to easily
perform package installation, upgrading and removal.  Dependencies
are automatically handled, so if you try to install a package that
needs others to be installed, it will download all needed packages
and install them. 

This package contains the necessary libraries and include files for
developing APT applications.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure --includedir=%{_includedir}/apt-pkg
make

%install
rm -rf %buildroot
%makeinstall includedir=%{buildroot}%{_includedir}/apt-pkg

# remove symlinks that should be created by ldconfig at installation time
rm -f %{buildroot}%{_libdir}/lib*.so.?

install -m 0755 -d \
	%{buildroot}%{_sysconfdir}/apt{,/apt.conf.d,/scripts,/sources.list.d,/vendors.list.d}
install -m 0755 -d %{buildroot}%{_localstatedir}/cache/apt/archives/partial
install -m 0755 -d %{buildroot}%{_localstatedir}/state/apt/lists/partial

install -m 0644 %SOURCE1 %{buildroot}%{_sysconfdir}/apt/apt.conf
install -m 0644 rpmpriorities %{buildroot}%{_sysconfdir}/apt/rpmpriorities

touch empty
%if %(test -f /etc/xos-release && echo 1 || echo 0)
install -m 0644 %SOURCE2 %{buildroot}%{_sysconfdir}/apt/sources.list
%else
install -m 0644 empty %{buildroot}%{_sysconfdir}/apt/sources.list
%endif
install -m 0644 empty %{buildroot}%{_sysconfdir}/apt/vendors.list

%find_lang %name

%clean
rm -rf %buildroot

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS* COPYING* doc/examples doc/*.sgml doc/*.txt TODO

%{_bindir}/apt-*
%{_libdir}/apt
%{_libdir}/lib*.so.*
%{_mandir}/*/*

%dir %{_sysconfdir}/apt
%dir %{_sysconfdir}/apt/apt.conf.d
%dir %{_sysconfdir}/apt/scripts
%dir %{_sysconfdir}/apt/sources.list.d
%{_localstatedir}/cache/apt
%{_localstatedir}/state/apt

%config(noreplace) %{_sysconfdir}/apt/*.conf
%config(noreplace) %{_sysconfdir}/apt/*.list
%config(noreplace) %{_sysconfdir}/apt/rpmpriorities

%files server
%defattr(-,root,root)

%{_bindir}/gen*

%files devel
%defattr(-,root,root)

%{_includedir}/apt-pkg
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so

%changelog
* Fri Aug 20 2004 X/OS Linux Team <xoslinux@xos.nl> 0.5.15cnc6-XOS.1.XL.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on apt-0.5.15cnc6-XOS.1.src.rpm
  (md5sum of original source rpm: 841ad802af4f05429f159d628200a73b).
- Add sources.list file for X/OS Linux repository.

* Mon May 17 2004 Jos Vos <jos@xos.nl> 0.5.15cnc6-XOS.1
- Initial version.
